Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 588132 - Fontconfig's setting will replace wqy-zenhei with uming-fonts after install OpenOffice.org language package
Summary: Fontconfig's setting will replace wqy-zenhei with uming-fonts after install O...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wqy-zenhei-fonts
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 589889
TreeView+ depends on / blocked
 
Reported: 2010-05-02 19:58 UTC by joshua
Modified: 2010-06-03 02:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 589889 (view as bug list)
Environment:
Last Closed: 2010-06-03 02:38:01 UTC
Type: ---


Attachments (Terms of Use)

Description joshua 2010-05-02 19:58:19 UTC
We know the default simplified chinese font of  Fedora 13 Livecd X86_64 Beta is
wqy-zenhei,and it's very nice for most chinese users. But after I installed the
package openoffice-langpack-zh_CN,The system's default font change to Uming
fonts.It looks ugly.
I noticed that when installing openoffice-langpack-zh_CN,yum installed
cjkuni-Uming-font due to package dependencies。
--------
Maybe the fontconfig's profile in /etc/fonts/conf.d let the Uming fonts loaded
before wqy-zenhei.

When I removed cjkuni-Uming-font or deleted 64-ttf-arphic-uming.conf the
default simplified chinese font change back to wqy-zenhei again.
-----
I think it's a bug  because I didn't found the same problem in Debian
Squeeze.After  I installed cjkuni-Uming-font the default font in Debian  is
still wqy-zenhei.

Thanks.

Comment 1 Jens Petersen 2010-05-07 07:59:56 UTC
I think this might well be a openoffice.org-langpack-zh_CN issue:
probably the langpack should be updated to use/require WQY Zenhei now.

Comment 2 Jens Petersen 2010-05-07 08:00:51 UTC
but uming should not override wqy-zenhei..

Comment 3 Peng Wu 2010-05-07 08:37:26 UTC
A clone bug is reported against openoffice.org.

Here are new font proposals for Chinese users, which is currently under review, from:
http://pwu.fedorapeople.org/fonts-conf/

Please try it,
Feel free to comment.

Comment 4 Peng Wu 2010-05-10 02:13:23 UTC
The requirement of UMing in openoffice.org-langpack-zh_CN is removed, please see bug:
[Bug 589889] update openoffice-langpack-zh_CN to not require uming,
https://bugzilla.redhat.com/show_bug.cgi?id=589889.

Comment 5 Peng Wu 2010-06-03 02:38:01 UTC
As the SC/TC fonts improvements is released last Saturday.
Close bug.


Note You need to log in before you can comment on or make changes to this bug.